Index: /nanovis/branches/1.1/FlowCmd.h
===================================================================
--- /nanovis/branches/1.1/FlowCmd.h	(revision 4611)
+++ /nanovis/branches/1.1/FlowCmd.h	(revision 4612)
@@ -25,286 +25,9 @@
 #define FLOWCMD_H
 
-#include <tr1/unordered_map>
-#include <vector>
-#include <string>
-
 #include <tcl.h>
 
-#include <vrmath/Vector3f.h>
-
-#include "Switch.h"
-#include "FlowTypes.h"
-#include "FlowParticles.h"
-#include "FlowBox.h"
-#include "NvLIC.h"
-#include "NvParticleRenderer.h"
-#include "NvVectorField.h"
-#include "Unirect.h"
-#include "Volume.h"
-#include "TransferFunction.h"
-
-struct FlowValues {
-    TransferFunction *transferFunction;
-    FlowPosition slicePos;
-    int showArrows;
-    int sliceVisible;
-    int showVolume;
-    int showOutline;
-    int isHidden;
-    int twoSidedLighting;
-    float ambient;     ///< Ambient volume shading
-    float diffuse;     ///< Diffuse volume shading
-    float specular;    ///< Specular level volume shading
-    float specularExp; ///< Specular exponent volume shading
-    float opacity;     ///< Volume opacity scaling
-};
-
-class FlowCmd
-{
-public:
-    enum SliceAxis { AXIS_X, AXIS_Y, AXIS_Z };
-
-    FlowCmd(Tcl_Interp *interp, const char *name);
-
-    ~FlowCmd();
-
-    void getBounds(vrmath::Vector3f& min,
-                   vrmath::Vector3f& max,
-                   bool onlyVisible);
-
-    FlowParticles *createParticles(const char *particlesName);
-
-    FlowParticles *getParticles(const char *particlesName);
-
-    void deleteParticles(const char *particlesName);
-
-    void getParticlesNames(std::vector<std::string>& names);
-
-    void render();
-
-    void advect();
-
-    void resetParticles();
-
-    void initializeParticles();
-
-    FlowBox *createBox(const char *boxName);
-
-    FlowBox *getBox(const char *boxName);
-
-    void deleteBox(const char *boxName);
-
-    void getBoxNames(std::vector<std::string>& names);
-
-    float *getScaledVector();
-
-    Volume *makeVolume(float *data);
-    
-    void initVectorField();
-
-    NvVectorField *getVectorField()
-    {
-        return _field;
-    }
-
-    bool scaleVectorField();
-
-    bool visible()
-    {
-        return !_sv.isHidden;
-    }
-
-    const char *name() const
-    {
-        return _name.c_str();
-    }
-
-    bool isDataLoaded()
-    {
-        return (_data != NULL);
-    }
-
-    Rappture::Unirect3d *data()
-    {
-        return _data;
-    }
-
-    void data(Rappture::Unirect3d *data)
-    {
-        if (_data != NULL) {
-            delete _data;
-        }
-        _data = data;
-    }
-
-    void activateSlice()
-    {
-        /* Must set axis before offset or position goes to wrong axis. */
-        NanoVis::licRenderer->setAxis(_sv.slicePos.axis);
-        NanoVis::licRenderer->setOffset(_sv.slicePos.value);
-        NanoVis::licRenderer->active(true);
-    }
-
-    void ceactivateSlice()
-    {
-        NanoVis::licRenderer->active(false);
-    }
-
-    SliceAxis getAxis()
-    {
-        return (SliceAxis)_sv.slicePos.axis;
-    }
-
-    TransferFunction *getTransferFunction()
-    {
-        return _sv.transferFunction;
-    }
-
-    float getRelativePosition();
-
-    void setAxis()
-    {
-        NanoVis::licRenderer->setAxis(_sv.slicePos.axis);
-    }
-
-    void setAxis(FlowCmd::SliceAxis axis)
-    {
-        _sv.slicePos.axis = axis;
-        NanoVis::licRenderer->setAxis(_sv.slicePos.axis);
-    }
-
-    void setCurrentPosition(float position)
-    {
-        _sv.slicePos.value = position;
-        NanoVis::licRenderer->setOffset(_sv.slicePos.value);
-    }
-
-    void setCurrentPosition()
-    {
-        NanoVis::licRenderer->setOffset(_sv.slicePos.value);
-    }
-
-    void setActive(bool state)
-    {
-        _sv.sliceVisible = state;
-        NanoVis::licRenderer->active(state);
-    }
-
-    void setActive()
-    {
-        NanoVis::licRenderer->active(_sv.sliceVisible);
-    }
-
-    void setVectorField(NvVectorField *field)
-    {
-        deleteVectorField();
-        _field = field;
-    }
-
-    void deleteVectorField()
-    {
-        if (_field != NULL) {
-            delete _field;
-            _field = NULL;
-        }
-    }
-
-    const Volume *getVolume() const
-    {
-        return _volume;
-    }
-
-    int parseSwitches(Tcl_Interp *interp, int objc, Tcl_Obj *const *objv)
-    {
-        if (Rappture::ParseSwitches(interp, _switches, objc, objv, &_sv,
-                                    SWITCH_DEFAULTS) < 0) {
-            return TCL_ERROR;
-        }
-        return TCL_OK;
-    }
-
-    Tcl_Command getCommandToken()
-    {
-        return _cmdToken;
-    }
-
-    static float getRelativePosition(FlowPosition *pos);
-
-    static Rappture::SwitchSpec videoSwitches[];
-
-private:
-    typedef std::string ParticlesId;
-    typedef std::string BoxId;
-    typedef std::tr1::unordered_map<ParticlesId, FlowParticles *> ParticlesHashmap;
-    typedef std::tr1::unordered_map<BoxId, FlowBox *> BoxHashmap;
-
-    void configure();
-
-    void renderBoxes();
-
-    Tcl_Interp *_interp;
-    /**
-     * Name of the flow.  This may differ
-     * from the name of the command
-     * associated with the flow, if the
-     * command was renamed. */
-    std::string _name;
-
-    /**
-     * Command associated with the flow.
-     * When the command is deleted, so is
-     * the flow. */
-    Tcl_Command _cmdToken;
-
-    /**
-     * Uniform rectangular data
-     * representing the mesh and vector
-     * field values.  These values are
-     * kept to regenerate the volume
-     * associated with the flow. */
-    Rappture::Unirect3d *_data;
-
-    /**
-     * The volume associated with the
-     * flow.  This isn't the same thing as
-     * a normal volume displayed. */
-    Volume *_volume;
-
-    /**
-     * Vector field generated from the 
-     * above volume */
-    NvVectorField *_field;
-
-    /**
-     * For each field there can be one or
-     * more particle injection planes
-     * where the particles are injected
-     * into the flow. */
-    ParticlesHashmap _particlesTable;
-
-    /**
-     * A table of boxes.  There maybe
-     * zero or more boxes associated
-     * with each field. */
-    BoxHashmap _boxTable;
-
-    FlowValues _sv;
-
-    static Rappture::SwitchSpec _switches[];
-};
-
-extern int GetDataStream(Tcl_Interp *interp, Rappture::Buffer &buf, int nBytes);
-
-extern int GetBooleanFromObj(Tcl_Interp *interp, Tcl_Obj *objPtr,
-                             bool *boolVal);
-
-extern int GetFloatFromObj(Tcl_Interp *interp, Tcl_Obj *objPtr,
-                           float *floatVal);
-
-extern int GetAxisFromObj(Tcl_Interp *interp, Tcl_Obj *objPtr,
-                          int *axisVal);
-
-extern int GetVolumeFromObj(Tcl_Interp *interp, Tcl_Obj *objPtr,
-                            Volume **volume);
+extern Tcl_AppInitProc FlowCmdInitProc;
+extern Tcl_ObjCmdProc FlowInstObjCmd;
+extern Tcl_CmdDeleteProc FlowInstDeleteProc;
 
 #endif
Index: /nanovis/branches/1.1/FlowParticles.cpp
===================================================================
--- /nanovis/branches/1.1/FlowParticles.cpp	(revision 4611)
+++ /nanovis/branches/1.1/FlowParticles.cpp	(revision 4612)
@@ -16,5 +16,5 @@
 #include "nanovis.h"        // For NMESH
 #include "FlowParticles.h"
-#include "FlowCmd.h"
+#include "Flow.h"
 #include "Trace.h"
 
@@ -48,7 +48,7 @@
     TRACE("Particles '%s' axis: %d pos: %g rel pos: %g",
           _name.c_str(), _sv.position.axis, _sv.position.value,
-          FlowCmd::getRelativePosition(&_sv.position));
+          Flow::getRelativePosition(&_sv.position));
 
-    _renderer->setPos(FlowCmd::getRelativePosition(&_sv.position));
+    _renderer->setPos(Flow::getRelativePosition(&_sv.position));
     _renderer->setAxis(_sv.position.axis);
     assert(_renderer->active());
@@ -59,5 +59,5 @@
 FlowParticles::configure() 
 {
-    _renderer->setPos(FlowCmd::getRelativePosition(&_sv.position));
+    _renderer->setPos(Flow::getRelativePosition(&_sv.position));
     _renderer->setColor(Vector4f(_sv.color.r,
                                  _sv.color.g,
Index: /nanovis/branches/1.1/FlowParticles.h
===================================================================
--- /nanovis/branches/1.1/FlowParticles.h	(revision 4611)
+++ /nanovis/branches/1.1/FlowParticles.h	(revision 4612)
@@ -12,4 +12,5 @@
 #define FLOWPARTICLES_H
 
+#include <cassert>
 #include <string>
 
Index: /nanovis/branches/1.1/HeightMap.cpp
===================================================================
--- /nanovis/branches/1.1/HeightMap.cpp	(revision 4611)
+++ /nanovis/branches/1.1/HeightMap.cpp	(revision 4612)
@@ -23,16 +23,16 @@
 
 HeightMap::HeightMap() : 
-    _vertexBufferObjectID(0), 
-    _texcoordBufferObjectID(0), 
-    _vertexCount(0), 
-    _contour(0), 
-    _tfPtr(0), 
+    _vertexBufferObjectID(0),
+    _texcoordBufferObjectID(0),
+    _vertexCount(0),
+    _contour(NULL),
+    _transferFunc(NULL),
     _opacity(0.5f),
-    _indexBuffer(0), 
-    _indexCount(0), 
-    _contourColor(1.0f, 0.0f, 0.0f), 
-    _contourVisible(false), 
+    _indexBuffer(NULL),
+    _indexCount(0),
+    _contourColor(1.0f, 0.0f, 0.0f),
+    _contourVisible(false),
     _visible(false),
-    _scale(1.0f, 1.0f, 1.0f), 
+    _scale(1.0f, 1.0f, 1.0f),
     _centerPoint(0.0f, 0.0f, 0.0f),
     _heights(NULL)
@@ -93,14 +93,14 @@
         glDisableClientState(GL_NORMAL_ARRAY);
 
-        if (_tfPtr) {
+        if (_transferFunc) {
             // PUT vertex program here
             //
             //
             _shader->bind();
-            _shader->setFPTextureParameter("tf", _tfPtr->id());
+            _shader->setFPTextureParameter("tf", _transferFunc->id());
             _shader->setFPParameter1f("opacity", _opacity);
 
             glEnable(GL_TEXTURE_1D);
-            _tfPtr->getTexture()->activate();
+            _transferFunc->getTexture()->activate();
  
             glEnableClientState(GL_TEXTURE_COORD_ARRAY);
@@ -125,6 +125,6 @@
 
         glDisableClientState(GL_VERTEX_ARRAY);
-        if (_tfPtr != NULL) {
-            _tfPtr->getTexture()->deactivate();
+        if (_transferFunc != NULL) {
+            _transferFunc->getTexture()->deactivate();
             glDisableClientState(GL_TEXTURE_COORD_ARRAY);
 
@@ -384,5 +384,5 @@
     }
     ContourLineFilter lineFilter;
-    //lineFilter.transferFunction(_tfPtr);
+    //lineFilter.transferFunction(_transferFunc);
     _contour = lineFilter.create(0.0f, 1.0f, 10, map, xNum, yNum);
 
@@ -398,6 +398,6 @@
     Vector3f* vertices = new Vector3f[xNum * yNum];
 
-    Vector3f* dstDataPtr = vertices;
-    float* srcDataPtr = height;
+    Vector3f* dstData = vertices;
+    float* srcData = height;
     
     for (int y = 0; y < yNum; ++y) {
@@ -409,8 +409,8 @@
 
             xCoord = xMin + ((xMax - xMin) * x) / (xNum - 1); 
-            dstDataPtr->set(xCoord, *srcDataPtr, yCoord);
-
-            ++dstDataPtr;
-            ++srcDataPtr;
+            dstData->set(xCoord, *srcData, yCoord);
+
+            ++dstData;
+            ++srcData;
         }
     }
@@ -422,5 +422,5 @@
  */
 void 
-HeightMap::mapToGrid(Grid *gridPtr)
+HeightMap::mapToGrid(Grid *grid)
 {
     int count = _xNum * _yNum;
@@ -432,9 +432,9 @@
     // this surface's y-values (heights) into the grid's axis coordinates.
 
-    float yScale = 1.0 / (gridPtr->yAxis.max() - gridPtr->yAxis.min());
+    float yScale = 1.0 / (grid->yAxis.max() - grid->yAxis.min());
     float *p, *q, *pend;
     float *normHeights = new float[count];
     for (p = _heights, pend = p + count, q = normHeights; p < pend; p++, q++) {
-	*q = (*p - gridPtr->yAxis.min()) * yScale;
+	*q = (*p - grid->yAxis.min()) * yScale;
     }
     Vector3f *t, *texcoord;
@@ -450,10 +450,10 @@
     float xMin, xMax, zMin, zMax;
 
-    xScale = 1.0 / (gridPtr->xAxis.max() - gridPtr->xAxis.min());
-    xMin = (xAxis.min() - gridPtr->xAxis.min()) * xScale;
-    xMax = (xAxis.max() - gridPtr->xAxis.min()) * xScale;
-    zScale = 1.0 / (gridPtr->zAxis.max() - gridPtr->zAxis.min());
-    zMin = (zAxis.min() - gridPtr->zAxis.min()) * zScale;
-    zMax = (zAxis.max() - gridPtr->zAxis.min()) * zScale;
+    xScale = 1.0 / (grid->xAxis.max() - grid->xAxis.min());
+    xMin = (xAxis.min() - grid->xAxis.min()) * xScale;
+    xMax = (xAxis.max() - grid->xAxis.min()) * xScale;
+    zScale = 1.0 / (grid->zAxis.max() - grid->zAxis.min());
+    zMin = (zAxis.min() - grid->zAxis.min()) * zScale;
+    zMax = (zAxis.max() - grid->zAxis.min()) * zScale;
 
     Vector3f* vertices;
@@ -477,5 +477,5 @@
     }
     ContourLineFilter lineFilter;
-    //lineFilter.transferFunction(_tfPtr);
+    //lineFilter.transferFunction(_transferFunc);
     _contour = lineFilter.create(0.0f, 1.0f, 10, vertices, _xNum, _yNum);
     
Index: /nanovis/branches/1.1/HeightMap.h
===================================================================
--- /nanovis/branches/1.1/HeightMap.h	(revision 4611)
+++ /nanovis/branches/1.1/HeightMap.h	(revision 4612)
@@ -49,12 +49,12 @@
     void setHeight(int xCount, int yCount, vrmath::Vector3f *heights);
 #endif
-    void mapToGrid(Grid *gridPtr);
+    void mapToGrid(Grid *grid);
 
     /**
      *@brief Define a color map for color shading of heightmap
      */
-    void transferFunction(TransferFunction *tfPtr)
+    void transferFunction(TransferFunction *transferFunc)
     {
-        _tfPtr = tfPtr;
+        _transferFunc = transferFunc;
     }
 
@@ -64,5 +64,5 @@
     TransferFunction *transferFunction()
     {
-        return _tfPtr;
+        return _transferFunc;
     }
 
@@ -128,5 +128,5 @@
     int _vertexCount;
     nv::graphics::Geometry *_contour;
-    TransferFunction *_tfPtr;
+    TransferFunction *_transferFunc;
     float _opacity;
     NvShader *_shader;
Index: /nanovis/branches/1.1/PlaneRenderer.cpp
===================================================================
--- /nanovis/branches/1.1/PlaneRenderer.cpp	(revision 4611)
+++ /nanovis/branches/1.1/PlaneRenderer.cpp	(revision 4612)
@@ -37,10 +37,10 @@
 
 int 
-PlaneRenderer::addPlane(Texture2D *p, TransferFunction *tfPtr)
+PlaneRenderer::addPlane(Texture2D *planeTexture, TransferFunction *tf)
 {
     int ret = _numPlanes;
 
-    _plane.push_back(p);
-    _tf.push_back(tfPtr);
+    _plane.push_back(planeTexture);
+    _tf.push_back(tf);
 
     if (ret == 0)
Index: /nanovis/branches/1.1/Trace.cpp
===================================================================
--- /nanovis/branches/1.1/Trace.cpp	(revision 4611)
+++ /nanovis/branches/1.1/Trace.cpp	(revision 4612)
@@ -45,8 +45,8 @@
 
 bool
-CheckFBO(GLenum *statusPtr) 
+CheckFBO(GLenum *status) 
 {
-    *statusPtr = glCheckFramebufferStatusEXT(GL_FRAMEBUFFER_EXT);
-    return (*statusPtr == GL_FRAMEBUFFER_COMPLETE_EXT);
+    *status = glCheckFramebufferStatusEXT(GL_FRAMEBUFFER_EXT);
+    return (*status == GL_FRAMEBUFFER_COMPLETE_EXT);
 }
 
Index: /nanovis/branches/1.1/Trace.h
===================================================================
--- /nanovis/branches/1.1/Trace.h	(revision 4611)
+++ /nanovis/branches/1.1/Trace.h	(revision 4612)
@@ -30,5 +30,5 @@
 #define INFO(...)	LogMessage(LOG_INFO, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
 
-extern bool CheckFBO(GLenum *statusPtr);
+extern bool CheckFBO(GLenum *status);
 extern void PrintFBOStatus(GLenum status, const char *prefix);
 extern bool CheckGL(const char *prefix);
Index: /nanovis/branches/1.1/Unirect.cpp
===================================================================
--- /nanovis/branches/1.1/Unirect.cpp	(revision 4611)
+++ /nanovis/branches/1.1/Unirect.cpp	(revision 4612)
@@ -6,4 +6,5 @@
  */
 #include <float.h>
+
 #include <tcl.h>
 
@@ -11,11 +12,7 @@
 #include <RpFieldRect3D.h>
 
+#include "Command.h"
 #include "Unirect.h"
 #include "Trace.h"
-
-extern int GetFloatFromObj(Tcl_Interp *interp, Tcl_Obj *objPtr, 
-                           float *valuePtr);
-
-extern int GetAxisFromObj(Tcl_Interp *interp, Tcl_Obj *objPtr, int *indexPtr);
 
 static inline char *
Index: /nanovis/branches/1.1/Volume.cpp
===================================================================
--- /nanovis/branches/1.1/Volume.cpp	(revision 4611)
+++ /nanovis/branches/1.1/Volume.cpp	(revision 4612)
@@ -38,5 +38,5 @@
     _height(h),
     _depth(d),
-    _tfPtr(NULL),
+    _transferFunc(NULL),
     _ambient(0.6f),
     _diffuse(0.4f),
Index: /nanovis/branches/1.1/Volume.h
===================================================================
--- /nanovis/branches/1.1/Volume.h	(revision 4611)
+++ /nanovis/branches/1.1/Volume.h	(revision 4612)
@@ -277,10 +277,10 @@
     TransferFunction *transferFunction()
     {
-        return _tfPtr;
-    }
-
-    void transferFunction(TransferFunction *tfPtr)
-    {
-        _tfPtr = tfPtr;
+        return _transferFunc;
+    }
+
+    void transferFunction(TransferFunction *transferFunc)
+    {
+        _transferFunc = transferFunc;
     }
 
@@ -366,5 +366,5 @@
      * render this volume.
      */
-    TransferFunction *_tfPtr;
+    TransferFunction *_transferFunc;
 
     float _ambient;      ///< Ambient material coefficient
Index: /nanovis/branches/1.1/VolumeInterpolator.cpp
===================================================================
--- /nanovis/branches/1.1/VolumeInterpolator.cpp	(revision 4611)
+++ /nanovis/branches/1.1/VolumeInterpolator.cpp	(revision 4612)
@@ -125,28 +125,28 @@
 
 void
-VolumeInterpolator::addVolume(Volume *refPtr)
+VolumeInterpolator::addVolume(Volume *volume)
 {
     if (_volumes.size() != 0) {
-        if (_volumes[0]->width() != refPtr->width() || 
-            _volumes[0]->height() != refPtr->height() ||   
-            _volumes[0]->depth() != refPtr->depth() || 
-            _volumes[0]->numComponents() != refPtr->numComponents()) {
+        if (_volumes[0]->width() != volume->width() || 
+            _volumes[0]->height() != volume->height() ||   
+            _volumes[0]->depth() != volume->depth() || 
+            _volumes[0]->numComponents() != volume->numComponents()) {
             TRACE("The volume should be the same width, height, number of components");
             return;
         }
     } else {
-        _dataCount = refPtr->width() * refPtr->height() * refPtr->depth();
-        _numComponents = refPtr->numComponents();
+        _dataCount = volume->width() * volume->height() * volume->depth();
+        _numComponents = volume->numComponents();
         _numBytes = _dataCount * _numComponents * sizeof(float);
-        Vector3f loc = refPtr->location();
+        Vector3f loc = volume->location();
         _volume = new Volume(loc.x, loc.y, loc.z,
-                             refPtr->width(),
-                             refPtr->height(),
-                             refPtr->depth(), 
-                             refPtr->numComponents(), 
-                             refPtr->data(), 
-                             refPtr->wAxis.min(), 
-                             refPtr->wAxis.max(), 
-                             refPtr->nonZeroMin());
+                             volume->width(),
+                             volume->height(),
+                             volume->depth(), 
+                             volume->numComponents(), 
+                             volume->data(), 
+                             volume->wAxis.min(), 
+                             volume->wAxis.max(), 
+                             volume->nonZeroMin());
 
         _volume->numSlices(256-1);
@@ -156,15 +156,15 @@
         _volume->visible(true);
         _volume->dataEnabled(true);
-        _volume->ambient(refPtr->ambient());
-        _volume->diffuse(refPtr->diffuse());
-        _volume->specularLevel(refPtr->specularLevel());
-        _volume->specularExponent(refPtr->specularExponent());
-        _volume->opacityScale(refPtr->opacityScale());
+        _volume->ambient(volume->ambient());
+        _volume->diffuse(volume->diffuse());
+        _volume->specularLevel(volume->specularLevel());
+        _volume->specularExponent(volume->specularExponent());
+        _volume->opacityScale(volume->opacityScale());
         _volume->isosurface(0);
         TRACE("VOL : location %f %f %f\n\tid : %s", loc.x, loc.y, loc.z, 
-               refPtr->name());
+               volume->name());
     }
     _volumes.push_back(_volume);
-    TRACE("a Volume[%s] is added to VolumeInterpolator", refPtr->name());
+    TRACE("a Volume[%s] is added to VolumeInterpolator", volume->name());
 }
 
Index: /nanovis/branches/1.1/VolumeRenderer.cpp
===================================================================
--- /nanovis/branches/1.1/VolumeRenderer.cpp	(revision 4611)
+++ /nanovis/branches/1.1/VolumeRenderer.cpp	(revision 4612)
@@ -132,10 +132,10 @@
     TRACE("start loop %d", volumes.size());
     for (size_t i = 0; i < volumes.size(); i++) {
-        Volume *volPtr = volumes[i];
+        Volume *volume = volumes[i];
         polys[i] = NULL;
         actual_slices[i] = 0;
 
-        int n_slices = volPtr->numSlices();
-        if (volPtr->isosurface()) {
+        int n_slices = volume->numSlices();
+        if (volume->isosurface()) {
             // double the number of slices
             n_slices <<= 1;
@@ -143,6 +143,6 @@
 
         //volume start location
-        Vector3f volPos = volPtr->location();
-        Vector3f volScaling = volPtr->getPhysicalScaling();
+        Vector3f volPos = volume->location();
+        Vector3f volScaling = volume->getPhysicalScaling();
 
         TRACE("VOL POS: %g %g %g",
@@ -196,7 +196,7 @@
         //draw volume bounding box with translation (the correct location in
         //space)
-        if (volPtr->outline()) {
+        if (volume->outline()) {
             float olcolor[3];
-            volPtr->getOutlineColor(olcolor);
+            volume->getOutlineColor(olcolor);
             drawBoundingBox(x0, y0, z0, x0+1, y0+1, z0+1,
                 (double)olcolor[0], (double)olcolor[1], (double)olcolor[2],
@@ -222,5 +222,5 @@
         size_t n_actual_slices;
 
-        if (volPtr->dataEnabled()) {
+        if (volume->dataEnabled()) {
             if (z_step == 0.0f)
                 n_actual_slices = 1;
@@ -244,10 +244,10 @@
         // vice versa.
 
-        for (int j = 0; j < volPtr->getCutplaneCount(); j++) {
-            if (!volPtr->isCutplaneEnabled(j)) {
+        for (int j = 0; j < volume->getCutplaneCount(); j++) {
+            if (!volume->isCutplaneEnabled(j)) {
                 continue;
             }
-            float offset = volPtr->getCutplane(j)->offset;
-            int axis = volPtr->getCutplane(j)->orient;
+            float offset = volume->getCutplane(j)->offset;
+            int axis = volume->getCutplane(j)->orient;
 
             switch (axis) {
@@ -279,6 +279,6 @@
 
             _cutplaneShader->bind();
-            _cutplaneShader->setFPTextureParameter("volume", volPtr->textureID());
-            _cutplaneShader->setFPTextureParameter("tf", volPtr->transferFunction()->id());
+            _cutplaneShader->setFPTextureParameter("volume", volume->textureID());
+            _cutplaneShader->setFPTextureParameter("tf", volume->transferFunction()->id());
 
             glPushMatrix();
@@ -383,5 +383,5 @@
 
     for (size_t i = 0; i < total_rendered_slices; i++) {
-        Volume *volPtr = NULL;
+        Volume *volume = NULL;
 
         int volume_index = slices[i].volumeId;
@@ -390,7 +390,7 @@
         float z_step = z_steps[volume_index];
 
-        volPtr = volumes[volume_index];
-
-        Vector3f volScaling = volPtr->getPhysicalScaling();
+        volume = volumes[volume_index];
+
+        Vector3f volScaling = volume->getPhysicalScaling();
 
         glPushMatrix();
@@ -398,14 +398,14 @@
 
         // FIXME: compute view-dependent volume sample distance
-        double avgSampleDistance = 1.0 / pow(volPtr->width() * volScaling.x * 
-                                             volPtr->height() * volScaling.y * 
-                                             volPtr->depth() * volScaling.z, 1.0/3.0);
+        double avgSampleDistance = 1.0 / pow(volume->width() * volScaling.x * 
+                                             volume->height() * volScaling.y * 
+                                             volume->depth() * volScaling.z, 1.0/3.0);
         float sampleRatio = z_step / avgSampleDistance;
 
 #ifdef notdef
         TRACE("shading slice: volume %s addr=%x slice=%d, volume=%d z_step=%g avgSD=%g", 
-              volPtr->name(), volPtr, slice_index, volume_index, z_step, avgSampleDistance);
+              volume->name(), volume, slice_index, volume_index, z_step, avgSampleDistance);
 #endif
-        activateVolumeShader(volPtr, false, sampleRatio);
+        activateVolumeShader(volume, false, sampleRatio);
         glPopMatrix();
 
@@ -493,14 +493,14 @@
 
 void 
-VolumeRenderer::activateVolumeShader(Volume *volPtr, bool sliceMode,
+VolumeRenderer::activateVolumeShader(Volume *volume, bool sliceMode,
                                      float sampleRatio)
 {
     //vertex shader
     _stdVertexShader->bind();
-    TransferFunction *tfPtr  = volPtr->transferFunction();
-    if (volPtr->volumeType() == Volume::CUBIC) {
-        _regularVolumeShader->bind(tfPtr->id(), volPtr, sliceMode, sampleRatio);
-    } else if (volPtr->volumeType() == Volume::ZINCBLENDE) {
-        _zincBlendeShader->bind(tfPtr->id(), volPtr, sliceMode, sampleRatio);
+    TransferFunction *transferFunc  = volume->transferFunction();
+    if (volume->volumeType() == Volume::CUBIC) {
+        _regularVolumeShader->bind(transferFunc->id(), volume, sliceMode, sampleRatio);
+    } else if (volume->volumeType() == Volume::ZINCBLENDE) {
+        _zincBlendeShader->bind(transferFunc->id(), volume, sliceMode, sampleRatio);
     }
 }
Index: /nanovis/branches/1.1/VtkReader.cpp
===================================================================
--- /nanovis/branches/1.1/VtkReader.cpp	(revision 4611)
+++ /nanovis/branches/1.1/VtkReader.cpp	(revision 4612)
@@ -342,5 +342,5 @@
     lz = (nz - 1) * dz;
 
-    Volume *volPtr = NULL;
+    Volume *volume = NULL;
     double vmin = DBL_MAX;
     double nzero_min = DBL_MAX;
@@ -477,10 +477,10 @@
           vmin, vmax, nzero_min);
 
-    volPtr = NanoVis::loadVolume(tag, nx, ny, nz, 4, data,
+    volume = NanoVis::loadVolume(tag, nx, ny, nz, 4, data,
                                  vmin, vmax, nzero_min);
-    volPtr->xAxis.setRange(x0, x0 + lx);
-    volPtr->yAxis.setRange(y0, y0 + ly);
-    volPtr->zAxis.setRange(z0, z0 + lz);
-    volPtr->updatePending = true;
+    volume->xAxis.setRange(x0, x0 + lx);
+    volume->yAxis.setRange(y0, y0 + ly);
+    volume->zAxis.setRange(z0, z0 + lz);
+    volume->updatePending = true;
 
     delete [] data;
@@ -492,8 +492,8 @@
     float dy0 = -0.5*ly/lx;
     float dz0 = -0.5*lz/lx;
-    if (volPtr) {
-        volPtr->location(vrmath::Vector3f(dx0, dy0, dz0));
+    if (volume) {
+        volume->location(vrmath::Vector3f(dx0, dy0, dz0));
         TRACE("Set volume location to %g %g %g", dx0, dy0, dz0);
     }
-    return volPtr;
-}
+    return volume;
+}
Index: /nanovis/branches/1.1/dxReader.cpp
===================================================================
--- /nanovis/branches/1.1/dxReader.cpp	(revision 4611)
+++ /nanovis/branches/1.1/dxReader.cpp	(revision 4612)
@@ -225,5 +225,5 @@
         return NULL;
     }
-    Volume *volPtr = NULL;
+    Volume *volume = NULL;
     float *data = NULL;
     double vmin = DBL_MAX;
@@ -481,19 +481,19 @@
           vmin, vmax, nzero_min);
 
-    volPtr = NanoVis::loadVolume(tag, nx, ny, nz, 4, data,
+    volume = NanoVis::loadVolume(tag, nx, ny, nz, 4, data,
                                  vmin, vmax, nzero_min);
-    volPtr->xAxis.setRange(x0, x0 + lx);
-    volPtr->yAxis.setRange(y0, y0 + ly);
-    volPtr->zAxis.setRange(z0, z0 + lz);
-    volPtr->updatePending = true;
+    volume->xAxis.setRange(x0, x0 + lx);
+    volume->yAxis.setRange(y0, y0 + ly);
+    volume->zAxis.setRange(z0, z0 + lz);
+    volume->updatePending = true;
 
     // TBD..
 #if 0 && defined(USE_POINTSET_RENDERER)
     PointSet *pset = new PointSet();
-    pset->initialize(volPtr, (float*)data);
+    pset->initialize(volume, (float*)data);
     pset->setVisible(true);
     NanoVis::pointSet.push_back(pset);
     updateColor(pset);
-    volPtr->pointsetIndex = NanoVis::pointSet.size() - 1;
+    volume->pointsetIndex = NanoVis::pointSet.size() - 1;
 #endif
     delete [] data;
@@ -505,8 +505,8 @@
     float dy0 = -0.5*ly/lx;
     float dz0 = -0.5*lz/lx;
-    if (volPtr) {
-        volPtr->location(vrmath::Vector3f(dx0, dy0, dz0));
+    if (volume) {
+        volume->location(vrmath::Vector3f(dx0, dy0, dz0));
         TRACE("Set volume location to %g %g %g", dx0, dy0, dz0);
     }
-    return volPtr;
+    return volume;
 }
